Skip to content

Update Personal Mobile Phone

After the user logs in successfully, call this API when updating the personal mobile phone number.

This is a post-login API. You need to add authorization information in the header: Authorization.

Request Description

Request Headers

Parameter NameNameRequiredTypeExample
X-operating-sys-versionCaller client operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller client device fingerprintYesString156aysdna213sc50
X-device-ipCaller client IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationAuthorization informationYesStringBearer {id_token}
content-typeContent format typeYesStringapplication/json

Request Example

json
{
    "mobile": "15201657312",
	"verify_code": "123456"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
mobileNew mobile phone numberYesStringNew mobile phone number to be updated
verify_codeSMS verification codeYesStringSMS verification code received by the new mobile phone number
For obtaining the verification code, please refer to Send SMS Verification Code API type=UPDATE_MOBILE_SMS

Response Example

Success Example

HTTP/1.1 200 OK

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "IDAAS.SDK.PARAM.0016",
    "error_msg": "IdToken is invalid or expired"
}

Response Parameters

None

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400IDAAS.SDK.PARAM.0001设备信息不完整Device information is incompletePlease check whether the input device information is complete
400IDAAS.SDK.PARAM.0002clientId不能为空clientId cannot be emptyPlease check whether the input clientId is empty
400IDAAS.SDK.PARAM.0003应用未注册,请先注册应用The app is not registered, please register the app firstPlease check whether the input clientId is correct
400IDAAS.SDK.PARAM.0015IdToken不能为空IdToken cannot be emptyPlease check whether the input IdToken is empty
400IDAAS.SDK.PARAM.0016IdToken无效或已过期IdToken is invalid or expiredPlease re-acquire the IdToken and try again
400IDAAS.SDK.PARAM.0009验证码不能为空Verification code cannot be emptyPlease check whether the input verification code is empty
400IDAAS.SDK.CAPTCHA.0007验证码不正确Incorrect verification codePlease check whether the input verification code is correct
400IDAAS.SDK.USER.0020手机号不符合校验规则The phone number does not meet the verification rulesPlease check whether the input mobile phone number is correct
400IDAAS.SDK.USER.0035手机号已存在Phone number already existsPlease change to a mobile phone number that has not been registered
400IDAAS.SDK.MOBILE.0002未经认证的手机号An unauthenticated cell mobile numberPlease check whether the [Enterprise Center - Enterprise Configuration - International Area Code Configuration] meets the configuration rules
400IDAAS.SDK.USER.0001用户未找到User not foundPlease register first and try again

BambooCloud IDaaS Open Platform